summaryrefslogtreecommitdiff
path: root/standalone/android/buildchroot
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-09-22 13:03:34 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-09-22 13:03:34 -0400
commit272a08e3773f56a07ef9163e191a6a76cd983d69 (patch)
tree46a4915d6a49f4a78afead903625ced2e8b49162 /standalone/android/buildchroot
parentf159e8bccd823a9125f3134fba5a5dc3c7dd7df7 (diff)
new buildchroot script to automate android chroot setup
Diffstat (limited to 'standalone/android/buildchroot')
-rwxr-xr-xstandalone/android/buildchroot19
1 files changed, 19 insertions, 0 deletions
diff --git a/standalone/android/buildchroot b/standalone/android/buildchroot
new file mode 100755
index 000000000..3f4c8eaa9
--- /dev/null
+++ b/standalone/android/buildchroot
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+if [ "$(whoami)" != root ]; then
+ echo "Must run this as root!" >&2
+ exit 1
+fi
+
+debootstrap --arch=i386 stable debian-stable-android
+cp $0-inchroot debian-stable-android/tmp
+cp $0-inchroot-asuser debian-stable-android/tmp
+chroot debian-stable-android "tmp/$(basename $0)-inchroot"
+
+echo
+echo
+echo "debian-stable-android is set up, with a user androidbuilder"
+echo "your next step is probably to check out git-annex in this chroot"
+echo "and run standalone/android/install-haskell-packages"
+echo
+echo